
BEGIN {
  unless ($ENV{AUTHOR_TESTING}) {
    print qq{1..0 # SKIP these tests are for testing by the author\n};
    exit
  }
}

use strict;
use warnings;

# this test was generated with Dist::Zilla::Plugin::Test::EOL 0.18

use Test::More 0.88;
use Test::EOL;

my @files = (
    'lib/Data/MuForm.pm',
    'lib/Data/MuForm/Common.pm',
    'lib/Data/MuForm/Field.pm',
    'lib/Data/MuForm/Field/Boolean.pm',
    'lib/Data/MuForm/Field/Button.pm',
    'lib/Data/MuForm/Field/Checkbox.pm',
    'lib/Data/MuForm/Field/Compound.pm',
    'lib/Data/MuForm/Field/CompoundDateTime.pm',
    'lib/Data/MuForm/Field/Currency.pm',
    'lib/Data/MuForm/Field/Date.pm',
    'lib/Data/MuForm/Field/Display.pm',
    'lib/Data/MuForm/Field/Email.pm',
    'lib/Data/MuForm/Field/Float.pm',
    'lib/Data/MuForm/Field/Hidden.pm',
    'lib/Data/MuForm/Field/Integer.pm',
    'lib/Data/MuForm/Field/List.pm',
    'lib/Data/MuForm/Field/Multiple.pm',
    'lib/Data/MuForm/Field/Password.pm',
    'lib/Data/MuForm/Field/PrimaryKey.pm',
    'lib/Data/MuForm/Field/Repeatable.pm',
    'lib/Data/MuForm/Field/Repeatable/Instance.pm',
    'lib/Data/MuForm/Field/Reset.pm',
    'lib/Data/MuForm/Field/Select.pm',
    'lib/Data/MuForm/Field/Submit.pm',
    'lib/Data/MuForm/Field/Text.pm',
    'lib/Data/MuForm/Field/Textarea.pm',
    'lib/Data/MuForm/Field/Time.pm',
    'lib/Data/MuForm/Field/URL.pm',
    'lib/Data/MuForm/Field/Upload.pm',
    'lib/Data/MuForm/Fields.pm',
    'lib/Data/MuForm/Localizer.pm',
    'lib/Data/MuForm/Manual.pod',
    'lib/Data/MuForm/Manual/Cookbook.pod',
    'lib/Data/MuForm/Manual/Defaults.pod',
    'lib/Data/MuForm/Manual/Errors.pod',
    'lib/Data/MuForm/Manual/Fields.pod',
    'lib/Data/MuForm/Manual/FormHandlerDiff.pod',
    'lib/Data/MuForm/Manual/Intro.pod',
    'lib/Data/MuForm/Manual/Reference.pod',
    'lib/Data/MuForm/Manual/Rendering.pod',
    'lib/Data/MuForm/Manual/Testing.pod',
    'lib/Data/MuForm/Manual/Transformations.pod',
    'lib/Data/MuForm/Manual/Validation.pod',
    'lib/Data/MuForm/Merge.pm',
    'lib/Data/MuForm/Meta.pm',
    'lib/Data/MuForm/Model.pm',
    'lib/Data/MuForm/Model/Object.pm',
    'lib/Data/MuForm/Params.pm',
    'lib/Data/MuForm/Renderer/Base.pm',
    'lib/Data/MuForm/Role/RequestToken.pm',
    'lib/Data/MuForm/Test.pm',
    'lib/Data/MuForm/Types.pm',
    't/01app.t',
    't/author-eol.t',
    't/basic.t',
    't/compound/basic.t',
    't/compound/default.t',
    't/compound/include.t',
    't/compound/select.t',
    't/errors/basic.t',
    't/errors/compound.t',
    't/errors/messages.t',
    't/field.t',
    't/field_prefix.t',
    't/field_setup/defaults.t',
    't/field_setup/disabled.t',
    't/field_setup/id.t',
    't/field_setup/inactive.t',
    't/field_setup/init_object.t',
    't/field_setup/input_param.t',
    't/field_setup/missing_comp.t',
    't/field_setup/plus_field.t',
    't/field_setup/trim.t',
    't/field_setup/update_subfields.t',
    't/fields/boolean.t',
    't/fields/checkbox.t',
    't/fields/currency.t',
    't/fields/email.t',
    't/fields/float.t',
    't/fields/hidden.t',
    't/fields/integer.t',
    't/fields/list.t',
    't/fields/multiple.t',
    't/fields/password.t',
    't/fields/select.t',
    't/fields/select_options.t',
    't/fields/text.t',
    't/fields/textarea.t',
    't/fields/time.t',
    't/fields/url.t',
    't/fill.t',
    't/form.t',
    't/form_setup/add_field.t',
    't/form_setup/api.t',
    't/form_setup/compound_field_list.t',
    't/form_setup/dynamic.t',
    't/form_setup/include.t',
    't/form_setup/init_obj.t',
    't/form_setup/order.t',
    't/form_setup/submitted.t',
    't/lib/Form/Address.pm',
    't/lib/Form/AddressRole.pm',
    't/lib/Form/Multiple.pm',
    't/lib/Form/MultipleRole.pm',
    't/lib/Form/NoExtForm.pm',
    't/lib/Form/Person.pm',
    't/lib/Form/PersonRole.pm',
    't/lib/Form/Test.pm',
    't/lib/Form/Two.pm',
    't/lib/MyApp/Field/Duration.pm',
    't/lib/MyApp/Types.pm',
    't/lib/Test/Form.pm',
    't/lib/Test/FormRole.pm',
    't/localizer/basic.t',
    't/localizer/extract_header.t',
    't/memory_cycles.t',
    't/meta_fields.t',
    't/methods.t',
    't/release-no-tabs.t',
    't/render/actions.t',
    't/render/base.t',
    't/render/basic.t',
    't/render/checkbox.t',
    't/render/checkbox_group.t',
    't/render/display.t',
    't/render/list.t',
    't/render/optgroup.t',
    't/render/radio_group.t',
    't/render/standard.t',
    't/repeatable/basic.t',
    't/repeatable/defaults.t',
    't/repeatable/empty.t',
    't/repeatable/has_many.t',
    't/repeatable/hash.t',
    't/repeatable/list.t',
    't/repeatable/nested.t',
    't/repeatable/nested2.t',
    't/repeatable/num_extra.t',
    't/repeatable/one_required.t',
    't/repeatable/reload.t',
    't/repeatable/set_methods.t',
    't/results.t',
    't/skip_fields.t',
    't/structured.t',
    't/subclass_roles.t',
    't/template.t',
    't/time_dmf.pl',
    't/time_hfh.pl',
    't/transform/basic.t',
    't/transform/comp_field.t',
    't/transform/default.t',
    't/transform/defl_lives.t',
    't/transform/infl_transform.t',
    't/transform/param_to_input.t',
    't/transform/undef_value_to_fif.t',
    't/validation/apply.t',
    't/validation/constraints.t',
    't/validation/moose_types.t',
    't/validation/reqwhen.t',
    't/validation/type_tiny_enum.t',
    't/validation/types.t',
    't/validation/validate_coderef.t',
    't/validation/when.t',
    't/values.t'
);

eol_unix_ok($_, { trailing_whitespace => 1 }) foreach @files;
done_testing;
